Subject: Re: [MMUSIC] [Editorial Errata Reported] RFC5245 (3149)

From: "Miguel A. Garcia" <[email-masked]>
Date: Fri, 6 Jul 2012 09:24:49 +0200

Hi:

Some time ago Marc reported an editorial errata in RFC 5245. The errata 
was that the ice-mismatch SDP attribute was listed as session-level only, 
but it should have been listed as media-level only.

IANA has fixed the SDP parameter registry,
http://www.iana.org/assignments/sdp-parameters/sdp-parameters.xml
and now the ice-mismatch attribute is listed as media-level only, and 
there is a pointer to the errata text.

/Miguel

On 07/03/2012 13:40, RFC Errata System wrote:
>
> The following errata report has been submitted for RFC5245,
> "Interactive Connectivity Establishment (ICE): A Protocol for Network Address Translator (NAT) Traversal for Offer/Answer Protocols".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5245&eid=3149
>
> --------------------------------------
> Type: Editorial
> Reported by: Marc Petit-huguenin <[email-masked]>
>
> Section: 21.1.4
>
> Original Text
> -------------
> Type of Attribute: session-level
>
> Corrected Text
> --------------
> Type of Attribute: media-level
>
> Notes
> -----
> Section 15.3 clearly says that "ice-mismatch" is media-level:
>
>
>
> '"ice-mismatch" is a media-level
>
>   attribute only, and when present in an answer, indicates that the
>
>   offer arrived with a default destination for a media component that
>
>   didn't have a corresponding candidate attribute.'
>
>
>
> Section Section 6.1 also implies that "ice-mismatch" is media-level:
>
>
>
> "In some cases, the answer may omit a=candidate attributes for the
>
>   media streams, and instead include an a=ice-mismatch attribute for
>
>   one or more of the media streams in the SDP."
>
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC5245 (draft-ietf-mmusic-ice-19)
> --------------------------------------
> Title               : Interactive Connectivity Establishment (ICE): A Protocol for Network Address Translator (NAT) Traversal for Offer/Answer Protocols
> Publication Date    : April 2010
> Author(s)           : J. Rosenberg
> Category            : PROPOSED STANDARD
> Source              : Multiparty Multimedia Session Control
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG
>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain